% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/autofill.R
\name{rmmAutofillspocc}
\alias{rmmAutofillspocc}
\title{Add occurrence metadata from a spocc query to an rmm object}
\usage{
rmmAutofillspocc(rmm, occ)
}
\arguments{
\item{rmm}{an rmm list}

\item{occ}{Output from \code{\link[spocc]{occ}}}
}
\value{
a range model metadata list
}
\description{
This function populates occurrence field in an rmm object with output from a spocc query
}
\details{
See Examples.
}
\examples{
\dontrun{
rmm <- rmmTemplate()
xs <- spocc::occ("Xanthium strumarium")
rmmAutofillspocc(rmm = rmm, occ = xs)
}
}
\seealso{
\code{\link[spocc]{occ}}

Other autofill: 
\code{\link{rmmAutofillBIEN}()},
\code{\link{rmmAutofillEnvironment}()},
\code{\link{rmmAutofillPackageCitation}()}
}
\author{
Cory Merow <cory.merow@gmail.com>, Brian Maitner <bmaitner@gmail.com>,
}
\concept{autofill}
